package com.shkj.wms.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.shkj.wms.bo.WcsPlcPropertyQueryBo;
import com.shkj.wms.domain.WcsPlcProperty;

/**
 * PLC连接属性Service接口
 *
 * @author zjx
 * @date 2023-04-21
 */
public interface IWcsPlcPropertyService extends IService<WcsPlcProperty> {
    /**
     * 查询PLC连接属性
     *
     * @param id PLC连接属性主键
     * @return PLC连接属性
     */
    public WcsPlcProperty selectWcsPlcPropertyById(Long id);

    /**
     * 查询PLC连接属性列表
     *
     * @param wcsPlcProperty PLC连接属性
     * @return PLC连接属性集合
     */
    public List<WcsPlcProperty> selectWcsPlcPropertyList(WcsPlcProperty wcsPlcProperty);

    /**
     * 新增PLC连接属性
     *
     * @param wcsPlcProperty PLC连接属性
     * @return 结果
     */
    public int insertWcsPlcProperty(WcsPlcProperty wcsPlcProperty);

    /**
     * 修改PLC连接属性
     *
     * @param wcsPlcProperty PLC连接属性
     * @return 结果
     */
    public int updateWcsPlcProperty(WcsPlcProperty wcsPlcProperty);


    /**
     * 删除PLC连接属性信息
     *
     * @param id PLC连接属性主键
     * @return 结果
     */
    public int deleteWcsPlcPropertyById(Long id);


    public List<WcsPlcProperty> getWcsPlcPropertyByPlcId(Long plcId);

    public WcsPlcProperty getWcsPlcPropertyByPlcIdAndPoint(WcsPlcPropertyQueryBo bo);
}
